# Interface: CreateNodesContext

Context for [CreateNodesFunction](../../devkit/documents/CreateNodesFunction)

## Table of contents

### Properties

- [configFiles](../../devkit/documents/CreateNodesContext#configfiles): string[]
- [nxJsonConfiguration](../../devkit/documents/CreateNodesContext#nxjsonconfiguration): NxJsonConfiguration<string[] | "\*">
- [workspaceRoot](../../devkit/documents/CreateNodesContext#workspaceroot): string

## Properties

### configFiles

• `Readonly` **configFiles**: `string`[]

The subset of configuration files which match the createNodes pattern

---

### nxJsonConfiguration

• `Readonly` **nxJsonConfiguration**: [`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration)\<`string`[] \| `"*"`\>

---

### workspaceRoot

• `Readonly` **workspaceRoot**: `string`
